Bug 901560

Summary: Organize list of books by grouping instead of just alphabetized list
Product: [Community] Publican Reporter: Eric Johnson <ejohnson>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact: Fintan Bolton <fbolton>
Priority: unspecified    
Version: 3.0CC: aigao, fbolton, pkennedy, r.landmann, rlandman
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.0.0 Doc Type: Bug Fix
Doc Text:
To group content together on the splash pages you can add a Group.xml file to your product splash page article. This will use the sort_order of the books and the content of the Groups.xml file to group books. The format of the Gropups.xml file is a variablelist, with a varlistentry for each group you wish to have on the site. e.g. to group all the default (sort_order 50) books together with a group name and a description: <variablelist> <varlistentry role="50"> <term>User Titles</term> <listitem> <para>Books for Users and other people not developing stuff</para> </listitem> </varlistentry> </variablelist> Note: the role="50" attribute in the varlistentry is the magic that ties the group to the books. The web logic simply inserts the varlistentry output in to the splash pages on the website before the first book with that sort_order for a given product version. There must be at least one book with a matching sort_order for the group to be included. The para in the list item must exists, however if it is empty '<para></para>' then it will be excluded from the output. This will mean only a group name is displayed on the web site.
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-18 21:46:43 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Eric Johnson 2013-01-18 09:00:32 EST
Currently the Publican generated site lists all books in a product alphabetically. I would like to be able to organize the books by sub-groups like Administration, Reference, etc.

Each sub-group would have a heading and a breif description of the group. Books in each group should be able to be listed in a writer specified order - defaulting to alphabetical listing.
Comment 2 Jeff Fearn 2013-09-17 19:48:26 EDT
At a basic level this is already achievable by using sort_order, simply assign each of the book groups a distinct sort_order and the books will be sorted by sort_order, ascending, then Alphabetically.

e.g. if you had two groups of books "admin" and "user" and you gave all the "admin" books a sort_order of 62 and all the "user" books a sort_order of 11, then in the list all of the "user" books would be listed before any of the "admin", and both sets would be internally sorted in alphabetically order.

The default sort_order is 50, so any other books would be listed between those two groups, again in alphabetical order.

If this isn't enough then please detail the exact behavior required.
Comment 3 HSS Product Manager 2013-09-18 01:28:53 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Ruediger Landmann 2013-09-24 01:59:21 EDT
(In reply to Jeff Fearn from comment #2)
> At a basic level this is already achievable by using sort_order, simply
> assign each of the book groups a distinct sort_order and the books will be
> sorted by sort_order, ascending, then Alphabetically.
> 
> e.g. if you had two groups of books "admin" and "user" and you gave all the
> "admin" books a sort_order of 62 and all the "user" books a sort_order of
> 11, then in the list all of the "user" books would be listed before any of
> the "admin", and both sets would be internally sorted in alphabetically
> order.
> 
> The default sort_order is 50, so any other books would be listed between
> those two groups, again in alphabetical order.
> 
> If this isn't enough then please detail the exact behavior required.

The groups of books need to have headings and descriptions, so:

Administration
These guides describe how system administrators configure and maintain [product]

User 
These guides describe how end users do X and Y with [product]
Comment 5 Jeff Fearn 2013-09-24 02:06:12 EDT
Do the headings and descriptions need to be translated?
Comment 6 Ruediger Landmann 2013-09-24 19:13:31 EDT
(In reply to Jeff Fearn from comment #5)
> Do the headings and descriptions need to be translated?

Definitely
Comment 7 Jeff Fearn 2013-09-27 02:49:05 EDT
Initial version checked in. It only applies the new content to the langauge index page.

Need to add it to the other navigation pages and decide how to apply it to the menu.

Need to document how it al works in the PUG.

Need to stop the splash pages pulling in the brand CSS file.

To ssh://git.fedorahosted.org/git/publican.git
   520e668..3dc16dc  HEAD -> devel
Comment 8 Jeff Fearn 2013-09-29 22:50:21 EDT
To ssh://git.fedorahosted.org/git/publican.git
   3217d23..c3721e7  HEAD -> devel
Comment 9 Ruediger Landmann 2013-10-23 09:32:57 EDT
Verified in publican-3.9.9-0.fc19.t18.noarch